package com.ygsoft.colleague;

import android.app.Activity;
import android.content.Context;
import android.content.Intent;
import android.net.Uri;

import com.ygsoft.technologytemplate.core.global.TTCoreUserInfo;
import com.ygsoft.tt.colleague.IColleagueFunctionManager;
import com.ygsoft.tt.colleague.utils.IColleagueLogic;

/**
 * 圈在EC模块的工具类,Colleague模块反射注入使用
 * 主要提供一些其他模块的跳转
 * Created by guoshuyu on 2017/9/15.
 */

public class ColleagueECLogic implements IColleagueLogic {

    /**
     * 联系人详情
     *
     * @param context
     * @param userId
     */
    @Override
    public void gotoContactsDetail(Activity context, String userId) {
        /*ContactsDbVo contact = new ContactsDbVo();
        contact.setUserId(userId);
        Intent intent = new Intent();
        intent.setClass(context, ContactsDetailsActivity.class);
        intent.putExtra(ContactsDetailsActivity.INTENT_KEY_CONTACTS_DETAILS, contact);
        context.startActivity(intent);*/
        try {
            context.startActivity(new Intent("android.intent.action.VIEW", Uri.parse("mup://contacts/detail?userId=" + userId)));
        } catch (Exception var4) {
            var4.printStackTrace();
        }
    }

    /**
     * 判斷登陸狀態
     *
     * @param context
     * @param requestCode
     */
    @Override
    public void judgeLoginStatus(Activity context, int requestCode) {
        TTCoreUserInfo loginConfig = TTCoreUserInfo.getInstance();
        if (loginConfig == null || !loginConfig.isAuthenticated()) {
            /*Intent intent = new Intent(context, WelcomePageActivity.class);
            intent.putExtra(WelcomePageActivity.INTENT_IS_ONLY_LOGIN_AUTH, true);
            context.startActivityForResult(intent, requestCode);*/
        }
    }

    /**
     * 选择at的联系人
     *
     * @param context
     * @param requestCode
     * @param isMul
     */
    @Override
    public void gotoSelectContacts(Activity context, int requestCode, boolean isMul) {
        //Intent intent = SelectContactsActivity.getActivityIntent(context, null, isMul);
        //context.startActivityForResult(intent, requestCode);
        try {
            Intent intent = new Intent("android.intent.action.VIEW", Uri.parse("mup://contacts/select"));
            context.startActivityForResult(intent, requestCode);
        } catch (Exception var4) {
            var4.printStackTrace();
        }
    }

    /**
     * 空间评论选择at空间成员
     */
    @Override
    public void gotoDepartmentSpaceMember(Activity activity, String departmentShareId, int requestId) {
        /*Intent intent = new Intent(activity, DepartmentSpaceMemberActivity.class);
        intent.putExtra(DepartmentSpaceMemberActivity.INTENT_SPACEID_KEY, departmentShareId);
        intent.putExtra(DepartmentSpaceMemberActivity.INTENT_SPACE_IS_SELECTABLE, true);
        activity.startActivityForResult(intent, requestId);*/
    }

    /**
     * 跳转到临时群组会话
     *
     * @param groupTopicId   群组Id
     * @param groupTopicName 群组名称
     */
    @Override
    public void openGroupChatWindow(Activity activity, String groupTopicId, String groupTopicName, int requestCode) {
        /*MessageChatActivityOperator.startActivityForResult(activity,
                ChatWindowActivity.class,
                groupTopicId,
                groupTopicName,
                groupTopicId,
                ConversationType.tempGroup.getCode(),
                true,
                requestCode,
                0);*/
        String link = "?groupTopicId=" + groupTopicId + "&groupTopicName=" + groupTopicName;
        try {
            Intent intent = new Intent("android.intent.action.VIEW", Uri.parse("mup://message/group" + link));
            activity.startActivityForResult(intent, requestCode);
        } catch (Exception var4) {
            var4.printStackTrace();
        }
    }

    /**
     * 启动企业社区进程，进入消息页面，不同租户不一样
     */
    @Override
    public void showMainPager(Context context) {
        //ListenerManager.getInstance().getOnShowMainPageListener().onShow(context);
    }


    /**
     * 圈订制管理器，不同租户可能不一样
     */
    @Override
    public IColleagueFunctionManager getColleagueFunctionManager() {
        return ColleagueFunctionManager.getInstance();
    }
}
