package com.ygsoft.colleague;

import android.content.Context;

import com.ygsoft.tt.colleague.IColleagueFunctionManager;

/**
 * 圈功能管理接口
 * Created by guoshuyu on 2017/9/6.
 */

public class ColleagueFunctionManager implements IColleagueFunctionManager {
    private static ColleagueFunctionManager instance;

    private ColleagueFunctionManager() {
    }

    public static ColleagueFunctionManager getInstance() {
        if (null == instance) {
            instance = new ColleagueFunctionManager();
        }
        return instance;
    }

    /**
     * 过滤数据是否来源项目,目前项目CC使用，其他地方使用空间数据
     * @return true 是否项目过滤，false使用空间过滤
     */
    @Override
    public boolean getFilterDataFromProject() {
        return false;
    }


    /**
     * 启动企业社区进程，进入消息页面的文本，不同租户不一样
     */
    @Override
    public String getAppName(Context context) {
        //return context.getString(R.string.app_name);
        return "";
    }

    /**
     * 空间选择的check selector，不用租户不一样
     */
    @Override
    public int getDepartmentCheckboxSelector() {
        return com.ygsoft.tt.colleague.R.drawable.colleague_share_permission_department_checkbox_selector;
    }

    /**
     * 空间选择的check selector visible drawable，不用租户不一样
     */
    @Override
    public int getDepartmentDepartmentVisibleSelector() {
        return com.ygsoft.tt.colleague.R.drawable.colleague_share_permission_department_visible_selector;
    }

    /**
     * 空间选择的check selector image true，不用租户不一样
     */
    @Override
    public int getDepartmentCheckboxSelectorTrue() {
        return com.ygsoft.tt.colleague.R.drawable.colleague_share_permission_department_check_true;
    }

    /**
     * 空间选择的check selector image false，不用租户不一样
     */
    @Override
    public int getDepartmentCheckboxSelectorFalse() {
        return com.ygsoft.tt.colleague.R.drawable.colleague_share_permission_department_check_false;
    }

    /**
     * 不同租户的话题布局id不一样
     */
    @Override
    public int getShareTopicListActivityLayout() {
        return com.ygsoft.tt.colleague.R.layout.colleague_activity_share_topic;
    }
}
